OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Position Class Reference

Position of a Label
.

`#include <TDataStd_Position.hxx>`

Inheritance diagram for TDataStd_Position:

[legend]

## Public Member Functions
Standard_EXPORT | TDataStd_Position ()
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
virtual Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&anAttribute)
| Restores the contents from <anattribute> into this one. It is used when aborting a transaction. .
virtual Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
virtual Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&intoAttribute, const Handle(TDF_RelocationTable)&aRelocTationable) const
| This method is different from the "Copy" one, because it is used when copying an attribute from a source structure into a target structure. This method pastes the current attribute to the label corresponding to the insertor. The pasted attribute may be a brand new one or a new version of the previous one. .
Standard_EXPORT const gp_Pnt & | GetPosition () const
Standard_EXPORT void | SetPosition (const gp_Pnt &aPos)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT void | Set (const TDF_Label &aLabel, const gp_Pnt &aPos)
| Create if not found the TDataStd_Position attribute set its position to <apos> .
static Standard_EXPORT Handle_TDataStd_Position | Set (const TDF_Label &aLabel)
| Find an existing, or create an empty, Position. the Position attribute is returned. .
static Standard_EXPORT Standard_Boolean | Get (const TDF_Label &aLabel, gp_Pnt &aPos)
| Search label <aLabel) for the TDataStd_Position attribute and get its position if found returns True .
static Standard_EXPORT const Standard_GUID & | GetID ()
| Returns the ID of the attribute. .
## Private Attributes
gp_Pnt | myPosition

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Position::TDataStd_Position | ( |  | ) |

## Member Function Documentation

static Standard_EXPORT Standard_Boolean TDataStd_Position::Get | ( | const TDF_Label & | aLabel,
|  | gp_Pnt & | aPos
| ) | `[static]`

static Standard_EXPORT const Standard_GUID& TDataStd_Position::GetID | ( |  | ) | `[static]`

Standard_EXPORT const gp_Pnt& TDataStd_Position::GetPosition | ( |  | ) | const

Standard_EXPORT const TDataStd_Position::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_Position::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT Handle_TDF_Attribute TDataStd_Position::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TDataStd_Position::Paste | ( | const Handle(TDF_Attribute)& | intoAttribute,
|  | const Handle(TDF_RelocationTable)& | aRelocTationable
| ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TDataStd_Position::Restore | ( | const Handle(TDF_Attribute)& | anAttribute | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_Position TDataStd_Position::Set | ( | const TDF_Label & | aLabel | ) | `[static]`

static Standard_EXPORT void TDataStd_Position::Set | ( | const TDF_Label & | aLabel,
|  | const gp_Pnt & | aPos
| ) | `[static]`

Standard_EXPORT void TDataStd_Position::SetPosition | ( | const gp_Pnt & | aPos | ) |

## Field Documentation

gp_Pnt TDataStd_Position::myPosition`[private]`

The documentation for this class was generated from the following file:

- TDataStd_Position.hxx